Bug 205939 - www/lighttpd-mod_*: Mark Un'BROKEN
Summary: www/lighttpd-mod_*: Mark Un'BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-06 00:12 UTC by Piotr Kubaj
Modified: 2016-03-14 13:48 UTC (History)
2 users (show)

See Also:
pkubaj: maintainer-feedback+
koobs: merge-quarterly?


Attachments
www/lighttpd-mod_* fix (1.49 KB, text/plain)
2016-01-06 00:12 UTC, Piotr Kubaj
no flags Details
www/lighttpd-mod_* fix (2.68 KB, patch)
2016-01-11 12:21 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-01-06 00:12:15 UTC
Created attachment 165128 [details]
www/lighttpd-mod_* fix

I've written following patches for lighttpd-mod_*. Since the distfiles are hosted only on distcache.freebsd.org, I'm posting a direct patch to a distfile. The distfiles should be repackaged, and BROKEN= entries removed. No PORTREVISION bump is necessary, since they are broken now.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-06 06:33:16 UTC
@Piotr, these DISTFILES need to find a new home, distcache is only for backup in the case of transient failures
Comment 2 Piotr Kubaj freebsd_committer 2016-01-06 09:28:16 UTC
(In reply to Kubilay Kocak from comment #1)
Well, those mods haven't been developed nor patched for quite some time. Info about them is on Lighttpd wiki, but hasn't been updated in 7 years, the developers probably don't maintain them anymore. So IMO there are two solutions we can deal with it:
- since they are abandoned, we can remove those ports, Linux distros usually don't have them in repos too,
- they seem quite useful, so we can maintain them, I could host distfiles on my own server.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-06 09:30:55 UTC
@Piotr, only other thing I can think of is to setup a GitHub repository for them. Import the code there, ideally with history if you can get/find it, that way ports can grab the sources from there, and other people can find it too
Comment 4 Piotr Kubaj freebsd_committer 2016-01-07 14:37:20 UTC
(In reply to Kubilay Kocak from comment #3)
I've created repos on:
https://github.com/pkubaj/lighttpd-mod_h264_streaming
https://github.com/pkubaj/lighttpd-mod_geoip

It may seem clumsy, but I don't know git at all :) There's no history, current official websites of these mods are:
http://h264.code-shop.com/trac/wiki/Mod-H264-Streaming-Lighttpd-Version2
http://redmine.lighttpd.net/projects/1/wiki/Docs_ModGeoip
As you can see, there's no revision control at all.

Now some question: those ports don't have distfile. They're built on top of current version of Lighttpd with the actual distfile in patch, specified as:
PATCH_SITES+=   LOCAL/mm
PATCHFILES+=    lighttpd-1.4.26_mod_geoip.patch.gz


Since I can't use GH_* macros in patches, would it be acceptable if I set it as:
PATCH_SITES+=   https://github.com/pkubaj/lighttpd-mod_geoip/archive
PATCHFILES+=    2.2.10.tar.gz
And then, can I use tar.gz with patches, or at least zip?

Otherwise, the ports in question would have to be rewritten.

That's why I'd prefer to host them on my own server :)
Comment 5 Chris Hutchinson 2016-01-07 22:38:43 UTC
(In reply to Piotr Kubaj from comment #4)
> (In reply to Kubilay Kocak from comment #3)
> I've created repos on:
> https://github.com/pkubaj/lighttpd-mod_h264_streaming
> https://github.com/pkubaj/lighttpd-mod_geoip
> 
> It may seem clumsy, but I don't know git at all :) There's no history,
> current official websites of these mods are:
> http://h264.code-shop.com/trac/wiki/Mod-H264-Streaming-Lighttpd-Version2
> http://redmine.lighttpd.net/projects/1/wiki/Docs_ModGeoip
> As you can see, there's no revision control at all.
> 
> Now some question: those ports don't have distfile. They're built on top of
> current version of Lighttpd with the actual distfile in patch, specified as:
> PATCH_SITES+=   LOCAL/mm
> PATCHFILES+=    lighttpd-1.4.26_mod_geoip.patch.gz
> 
> 
> Since I can't use GH_* macros in patches, would it be acceptable if I set it
> as:
> PATCH_SITES+=   https://github.com/pkubaj/lighttpd-mod_geoip/archive
> PATCHFILES+=    2.2.10.tar.gz
> And then, can I use tar.gz with patches, or at least zip?
> 
> Otherwise, the ports in question would have to be rewritten.
> 
> That's why I'd prefer to host them on my own server :)

They needn't be packed at all. They can be simply downloaded, and
applied, as plain ASCII text. :)

HTH

--Chris
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-10 08:17:47 UTC
This issue still needs an updated patch to progress, no?
Comment 7 Piotr Kubaj freebsd_committer 2016-01-10 12:05:56 UTC
(In reply to Kubilay Kocak from comment #6)
Yes, I'll get to it in the evening or tomorrow (European time) :)
Comment 8 Piotr Kubaj freebsd_committer 2016-01-11 12:20:48 UTC
(In reply to Piotr Kubaj from comment #7)
Try this patch on top of ${PORTSDIR}.
Comment 9 Piotr Kubaj freebsd_committer 2016-01-11 12:21:26 UTC
Created attachment 165393 [details]
www/lighttpd-mod_* fix
Comment 10 commit-hook freebsd_committer 2016-03-14 13:45:24 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 13:44:46 UTC 2016
New revision: 411067
URL: https://svnweb.freebsd.org/changeset/ports/411067

Log:
  www/lighttpd-mod_geoip: Unbreak port

  PR:		205939
  MFH:		2016Q1

Changes:
  head/www/lighttpd/distinfo
  head/www/lighttpd-mod_geoip/Makefile
Comment 11 commit-hook freebsd_committer 2016-03-14 13:47:26 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 13:46:30 UTC 2016
New revision: 411068
URL: https://svnweb.freebsd.org/changeset/ports/411068

Log:
  www/lighttpd-mod_h264_streaming: Unbreak port

  PR:		205939
  MFH:		2016Q1

Changes:
  head/www/lighttpd/distinfo
  head/www/lighttpd-mod_h264_streaming/Makefile
Comment 12 commit-hook freebsd_committer 2016-03-14 13:48:28 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 13:47:32 UTC 2016
New revision: 411070
URL: https://svnweb.freebsd.org/changeset/ports/411070

Log:
  MFH: r411067

  www/lighttpd-mod_geoip: Unbreak port

  PR:		205939
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/lighttpd/distinfo
  branches/2016Q1/www/lighttpd-mod_geoip/Makefile
Comment 13 commit-hook freebsd_committer 2016-03-14 13:48:29 UTC
A commit references this bug:

Author: feld
Date: Mon Mar 14 13:48:24 UTC 2016
New revision: 411071
URL: https://svnweb.freebsd.org/changeset/ports/411071

Log:
  MFH: r411068

  www/lighttpd-mod_h264_streaming: Unbreak port

  PR:		205939
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/lighttpd/distinfo
  branches/2016Q1/www/lighttpd-mod_h264_streaming/Makefile